﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Reports
            </h1>
        </div>
        <div class="actions">
         
            <span ng-click="showModal()" class="action on-left-more" title="Custom report options"><i style="margin-top: 11px;" class="jbi-play-circle-1 fg-black"></i></span>
            <a ui-sref='ReportAdd({seasonDomain: MC.stateParams.seasonDomain, customType: 0})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add registration report">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
            <a ui-sref='ReportAdd({seasonDomain: MC.stateParams.seasonDomain, customType: 1})' class="action on-left-more" data-toggle="tooltip" data-placement="bottom" title="Add profile report">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a> 
        </div>
        <div class="clearfix"></div>
        <br /><br />
        
        <hr />
        <div class="clearfix"></div>
    </div>
    <kendo-grid id="grid" options="reportListGridOptions">

    </kendo-grid>

    <div ng-show="isShowSeasonMenu" ng-class="{'active':isShowSeasonMenu}" class="jb-confirm">
        <div>
            <div style="background-color: white; border: 4px solid #ccc; width: 40%; margin-left: 30%; padding: 20px;">
                <div>
                    <div ng-click="closeSeasonMenu()" class="jbi-cancel k-link" style="padding: 10px; position: absolute; right: 0; top: 0; color: #8a8989">
                    </div>
                    <div>
                        <h2 style="font-weight: 500;">Select a season</h2>
                        <br />
                        <div ng-repeat="season in seasons">
                            <div class="input-control checkbox" data-role="input-control">
                                <label>
                                    <input ng-click="addSeasonId(season.Value)" name="showCapacityLeft" type="checkbox">
                                    <span class="check"></span>
                                    {{season.Text}}
                                </label>
                            </div>
                        </div>
                        <br />
                        <button ng-click="submitCopyToSeason()" style="margin: 10px" class="success large place-bottom-right margin-top15">Submit</button>

                    </div>
                </div>

            </div>
        </div>
    </div>
</div>
